View Issue Details

IDProjectCategoryView StatusLast Update
0000656SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.3 
Target Version3.0.4Fixed in Version3.0.4 
Summary0000656: Change the default secret key algorithm used for encrypting/decrypting password from PBEWithMD5AndTripleDES to PBEWithMD5AndDES
DescriptionShould be backward compatible because the default key is only added to the keystore if a key doesn't already exist. Also provided the ability to override the default key algorithm with a system property named sym.secret.key.defalt.algorithm.

PBEWithMD5AndTripleDES required the unlimited strength jurisdiction policy files to be installed with the default encryption implementation from Sun.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 847f75c7

2012-06-21 12:52:28

chenson

Details Diff
0000656: Change the default secret key algorithm used for encrypting/decrypting password from PBEWithMD5AndTripleDES to PBEWithMD5AndDES
0000656
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/common/SecurityConstants.java Diff File
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SecurityService.java Diff File

Issue History

Date Modified Username Field Change
2012-06-21 12:50 chenson New Issue
2012-06-21 12:50 chenson Status new => assigned
2012-06-21 12:50 chenson Assigned To => chenson
2012-06-21 12:57 chenson Status assigned => resolved
2012-06-21 12:57 chenson Fixed in Version => 3.0.4
2012-06-21 12:57 chenson Resolution open => fixed
2012-06-23 11:48 admin Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r5902
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 847f75c7